Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019327
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2011-12-18 20:552011-12-23 18:25
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version3.0MP7
StatusclosedFix in branchpiFixed in SCM revision135bc8ba3ad0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019327: "Attachment" toolbar icon focus issues

DescriptionWhen clicking in "attachment" toolbar icon, the section is expanded, but the viewport doesn't move to the section
Steps To ReproduceAs "Openbravo Admin"
* Go to any record (example: "Sales Order")
* Go to form view of any record
* Click "attachment" toolbar icon

Notice that the section is opened, but the viewport doesn't move to the section.
Also, the submit popup is not opened if no attachment exists
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0017508 closeddbaz Section headers jump up and down when expanding and collapsing 

-  Notes
(0043927)
hgbot (developer)
2011-12-18 20:58

Repository: erp/devel/pi
Changeset: 135bc8ba3ad0e67284ed539d23ac9671565ff7c6
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Sun Dec 18 20:58:28 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/135bc8ba3ad0e67284ed539d23ac9671565ff7c6 [^]

Fixed issue 19327: 'attachment' viewport now is placed ok when toolbar icon is pressed

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0043933)
mtaal (developer)
2011-12-19 10:09

A small thing, in the code I see this call:
this.view.viewForm.getItem('_attachments_')

many times, it is better/nicer to put it in a local var and then use that var.
(0043941)
hgbot (developer)
2011-12-19 13:56

Repository: erp/devel/pi
Changeset: f7b0ccdf01d30a6a4f47393b1c9c81cef6f1f95f
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Dec 19 13:56:18 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f7b0ccdf01d30a6a4f47393b1c9c81cef6f1f95f [^]

Related to issue 19327: code improvement

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0043942)
mtaal (developer)
2011-12-19 14:25

Reviewed
(0043964)
hudsonbot (developer)
2011-12-19 19:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e646177b021f [^]

Maturity status: Test
(0043991)
hudsonbot (developer)
2011-12-22 03:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9ac5e6f282ca [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-12-18 20:55 dbaz New Issue
2011-12-18 20:55 dbaz Assigned To => dbaz
2011-12-18 20:55 dbaz Modules => Core
2011-12-18 20:56 dbaz Relationship added related to 0017508
2011-12-18 20:58 hgbot Checkin
2011-12-18 20:58 hgbot Note Added: 0043927
2011-12-18 20:58 hgbot Status new => resolved
2011-12-18 20:58 hgbot Resolution open => fixed
2011-12-18 20:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/135bc8ba3ad0e67284ed539d23ac9671565ff7c6 [^]
2011-12-19 10:09 mtaal Note Added: 0043933
2011-12-19 10:09 mtaal Status resolved => new
2011-12-19 10:09 mtaal Resolution fixed => open
2011-12-19 13:56 hgbot Checkin
2011-12-19 13:56 hgbot Note Added: 0043941
2011-12-19 14:03 dbaz Status new => scheduled
2011-12-19 14:03 dbaz fix_in_branch => pi
2011-12-19 14:03 dbaz Status scheduled => resolved
2011-12-19 14:03 dbaz Resolution open => fixed
2011-12-19 14:25 mtaal Note Added: 0043942
2011-12-19 14:25 mtaal Status resolved => closed
2011-12-19 14:25 mtaal Fixed in Version => 3.0MP7
2011-12-19 19:15 hudsonbot Checkin
2011-12-19 19:15 hudsonbot Note Added: 0043964
2011-12-22 03:53 hudsonbot Checkin
2011-12-22 03:53 hudsonbot Note Added: 0043991
2011-12-23 18:25 dmitry_mezentsev Tag Attached: Regression


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker